Bug 197450 - gnupg update to 1.4.4-2 breaks ccid smartcard reader support
Summary: gnupg update to 1.4.4-2 breaks ccid smartcard reader support
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-01 20:33 UTC by Philipp Taprogge
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.4.4-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 19:37:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philipp Taprogge 2006-07-01 20:33:10 UTC
Description of problem:
After updating gnupg to 1.4.4-2 via yum, access to ccid smartcard reader
attached on USB no longer works. An strace shows no attempts ta access
/dev/bus/usb/* at all, so it seems this new version was compiled w/o support for
these readers.

Version-Release number of selected component (if applicable):
gnupg 1.4.4-2

How reproducible:
always?

Steps to Reproduce:
1. Hawe reader working with fedora stock rpm (gnupg-1.4.2.2-2)
2. gpg --card-status (should work)
3. yum update gnupg
4. gpg --card-status
  
Actual results:
gpg skips detection of ccid readers and complains about libpcsclite missing.

Expected results:
reader still working

Additional info:

Comment 1 Nalin Dahyabhai 2006-07-05 15:44:52 UTC
This also needed to be fixed in the development tree.  Thanks for catching it! 
The 1.4.4-2.2 package should show up in updates-testing sometime today, and
barring new bug reports will be moved to updates-final either tomorrow or Friday.


Note You need to log in before you can comment on or make changes to this bug.